INTRODUCTION TO THE BASIC STAMP

Introduction

The Basic Stamp models simulate the behaviour of the following devices from Parallax Inc™:

BASIC STAMP 1 MODEL (BSTAMP1.DLL)

BS1

BASIC STAMP 2 MODEL (BSTAMP2.DLL)

BS2, BS2e, BS2p, BS2pe, BS2sx

See also

  • Using the Basic Stamp 1 Model
  • Using the Basic Stamp 2 Model

The Basic Stamp models are copyright of Advanced Digital Technologies inc and are sold under licence by Labcenter Electronics Ltd.

This help file last modified 16th April 2010.


USING THE BASIC STAMP 2

Using the Basic Stamp 2 Model

The Source File property specifies the BASIC source file that the component will execute at simulation time. The source file that you specify here will be internally tokenized via the Parallax Tokenizer.dll. All of the language requirements as specified in the Basic Stamp Programmers Guide apply as with a physical part.

For example, if you have written a basic program MYPROG.BAS, you should edit the BS2 component and set up the dialogue form as follows:

The basic program should be stored in the same directory as the ISIS schematic.


USING THE BASIC STAMP 1

Using the Basic Stamp 1 Model

The PBASIC Source File property specifies the BASIC source file that the component will execute at simulation time. The source file that you specify here will be tokenized via the DIYSTAMP.EXE program under control of the BSTAMP1 model DLL. All of the language requirements as specified in the Basic Stamp Programmers Guide apply as with a physical part.

For example, if you have written a basic program MYPROG.BAS, you should edit the BS1 component and set up the dialogue form as follows:

The basic program should be stored in the same directory as the ISIS schematic.

DIYSTAMP.EXE is automatically installed into your Proteus BIN directory during setup – further information and updates may be obtained from www.hippy.freeserve.co.uk/diystamp.htm.